#
# make_install_script()
# Runs through the temporary package directory and searches for symlinks.
# These are put into a script to create those symlinks at installation
# time.
#

make_install_script() {
   COUNT=1
   LINE="`sed -n "$COUNT p" $1`"
   while [ ! "$LINE" = "" ]
   do
      LINKGOESIN="`echo "$LINE" | cut -f 1 -d " "`" 
      LINKGOESIN="`dirname $LINKGOESIN`" 
      LINKNAMEIS="`echo "$LINE" | cut -f 1 -d ' '`"
      LINKNAMEIS="`basename "$LINKNAMEIS"`"
      LINKPOINTSTO="`echo "$LINE" | cut -f 3 -d ' '`"
      echo "( cd $LINKGOESIN ; rm -rf $LINKNAMEIS )"
      echo "( cd $LINKGOESIN ; ln -sf $LINKPOINTSTO $LINKNAMEIS )"
      COUNT=`expr $COUNT + 1`
      LINE="`sed -n "$COUNT p" $1`"
   done
}
